# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class NotAcceptableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.NotAcceptableException

All Implemented Interfaces:
  java.io.Serializable

    public class NotAcceptableException

extends ServiceException

Thrown by a service provider when the resource identified by the request is only capable of generating response entities which have content characteristics not acceptable according to the accept headers sent in the request.

See Also:
  Serialized Form

Constructor Summary
`NotAcceptableException()`
`NotAcceptableException(ErrorDomain.ErrorCode errorCode)`
`NotAcceptableException(ErrorDomain.ErrorCode errorCode, java.lang.Throwable cause)`
`NotAcceptableException(java.net.HttpURLConnection httpConn)`
`NotAcceptableException(java.lang.String message)`

Method Summary

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotAcceptableException

    public NotAcceptableException()

### NotAcceptableException

    public NotAcceptableException(java.lang.String message)

### NotAcceptableException

    public NotAcceptableException(java.net.HttpURLConnection httpConn)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### NotAcceptableException

    public NotAcceptableException(ErrorDomain.ErrorCode errorCode)

### NotAcceptableException

    public NotAcceptableException(ErrorDomain.ErrorCode errorCode,
                                  java.lang.Throwable cause)